Description: Stringification of regexps has changed, cf. perldelta 5.14
Origin: vendor
Bug: https://rt.cpan.org/Ticket/Display.html?id=68186
Bug-Debian: https://bugs.debian.org/636271
Forwarded: https://rt.cpan.org/Ticket/Display.html?id=68186
Author: gregor herrmann <gregoa@debian.org>
Last-Update: 2011-11-15

--- a/t/11-nested-flow-error.t
+++ b/t/11-nested-flow-error.t
@@ -36,5 +36,8 @@
 
 is($results[0]{diag}, '', 'no errors/warnings');
 
-is($results[1]{diag}, "Flow 'visit good' failed: No link matching (?-xism:AAHHH!!!) found at t/11-nested-flow-error.t line 16\n", 'nested flow failing only reports once, and gives the right line number');
+# perldelta 5.14, "Stringification of regexes has changed"
+my $modifiers = (qr/foobar/ =~ /\Q(?^/) ? "^" : "-xism";
+
+is($results[1]{diag}, "Flow 'visit good' failed: No link matching (?$modifiers:AAHHH!!!) found at t/11-nested-flow-error.t line 16\n", 'nested flow failing only reports once, and gives the right line number');
 
--- a/t/13-flowless.t
+++ b/t/13-flowless.t
@@ -27,8 +27,12 @@
 is($results[2]{diag}, '', 'no warnings/errors');
 is($results[3]{diag}, '', 'no warnings/errors');
 
+# perldelta 5.14, "Stringification of regexes has changed"
+my $modifiers1 = (qr/foobar/ =~ /\Q(?^/) ? "^" : "-xism";
+my $modifiers2 = (qr/foobar/ =~ /\Q(?^/) ? "^i" : "i-xsm";
+
 is($results[0]{name}, "navigated to http://localhost:$PORT/", "test name was correct");
-is($results[1]{name}, "Content does not match (?-xism:This is an index)", "test name was correct");
-is($results[2]{name}, "Clicked link matching (?-xism:good)", "test name was correct");
-is($results[3]{name}, "Content does not match (?i-xsm:This is a good page)", "test name was correct");
+is($results[1]{name}, "Content does not match (?$modifiers1:This is an index)", "test name was correct");
+is($results[2]{name}, "Clicked link matching (?$modifiers1:good)", "test name was correct");
+is($results[3]{name}, "Content does not match (?$modifiers2:This is a good page)", "test name was correct");
 
